> For the complete documentation index, see [llms.txt](https://docs.maiagent.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maiagent.ai/api/api-doc-ja/preparation/status-code.md).

# ステータスコード

API 経由で HTTP リクエストを送信する際は、以下のステータスコードを参照して、API リクエストが成功したかどうかを確認できます。

## ステータスコードの説明

### 正常コード

| ステータスコード | 説明        |
| -------- | --------- |
| 200      | リクエスト成功   |
| 201      | リソースの作成成功 |

#### 正常レスポンスの例

{% hint style="info" %}
こちらは内容のサンプルです。エンドポイントによってレスポンス形式が異なる場合がありますので、該当エンドポイントのドキュメントを優先してご参照ください
{% endhint %}

```json
{
  "count": "integer",
  "next": "string|null",
  "previous": "string|null",
  "results": [
    // 結果のレスポンス内容
  ]
}
```

### エラーコード

| ステータスコード | 説明         |
| -------- | ---------- |
| 400      | リクエスト形式エラー |
| 401      | 認証失敗       |
| 403      | 権限不足       |
| 404      | リソースが存在しない |
| 500      | サーバーエラー    |

#### エラーレスポンスの例

#### <mark style="background-color:$primary;">400 - リクエストエラー：必須項目の欠落</mark>

```javascript
{
  "files": ["This field is required."],
  "filename": ["This field is required."],
  "file": ["This field is required."]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maiagent.ai/api/api-doc-ja/preparation/status-code.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
